<?php

require_once 'base/GepPerfilsituacaoEntityBase.php';

/**
 * This class has been auto-generated by Setforms
 *
 * @package Entity
 * @author  setforms
 */
class GepPerfilsituacaoEntity extends GepPerfilsituacaoEntityBase
{

    const SEM_REGISTRO = 10;


    /**
    * Gera novo c?o de Perfil de acesso respons?l na Situa? por Tipo de Fluxo.
    *
    * @param integer $nrorg N?o da Organiza?.
    *
    * @return $codigo integer
    */
    public static function retornaProxNumeroPerfilSituacao($nrorg){
        $codigo = Novocodigo::geraCodigo($nrorg, 'GEP_PERFILSITUACAO', 10);
        return $codigo;
    }


    /**
     * Retorna dados de um perfil responsavel atraves da situacao.
     *
     * @throws Exception             Consulta sem registro.
     * @param  integer $nrorg        Numero da organizacao.
     * @param  integer $nrsituacao   Numero da situacao.
     *
     * @return object  $consulta     Dados da consulta.
     */
    public static function retornaPerfilSituacao($nrorg, $nrsituacao){
        $consulta = GepPerfilsituacao::consultaPerfilSituacao($nrorg, $nrsituacao);
        if ($consulta instanceof GepPerfilsituacaoEntity) {
            return $consulta;
        }

        throw new Exception('GepPerfilsituacaoEntity: Nao ha registro para este perfil de situacao.', self::SEM_REGISTRO);
    }


}