/*+
|                                               |
|     Trigger: DTULTATU_FILDIMEOPER             |  
|     Tabela : FILDIMEOPER                      |
|                                               |
|     Criao:                                  |
|     06/09/2007 - Luiz Passos                  |
|                                               |
+*/

IF EXISTS(SELECT * FROM sysobjects O, sysusers U
          WHERE
            o.name = 'DTULTATU_FILDIMEOPER'   and
            type = 'TR'                       and
            u.uid = o.uid                     and
            u.name = USER)
   DROP TRIGGER DTULTATU_FILDIMEOPER
GO

CREATE TRIGGER DTULTATU_FILDIMEOPER
ON FILDIMEOPER
FOR INSERT, UPDATE, DELETE
AS
BEGIN
   IF (0 = (SELECT COUNT(*) FROM INSERTED)) BEGIN
      INSERT INTO DELETECACHE (NMTABLECACHE, DSKEYCACHE, DTULTATUCACH)
         (SELECT 'FILDIMEOPER', 'NRSEQUEDIME='   + NRSEQUEDIME +
                                ';CDFILDIMEOPER=' + CDFILDIMEOPER +
                                ';CDOPERADOR='   + CDOPERADOR + ';', GETDATE() FROM DELETED)
   END
   ELSE BEGIN
      UPDATE FILDIMEOPER
      SET DTULTATUFDIDWOP = GETDATE()
      FROM INSERTED
      WHERE (ISNULL(FILDIMEOPER.NRSEQUEDIME, 0) = ISNULL(INSERTED.NRSEQUEDIME, 0)) AND
            (ISNULL(FILDIMEOPER.CDFILDIMEOPER, 0) = ISNULL(INSERTED.CDFILDIMEOPER, 0)) AND
            (ISNULL(FILDIMEOPER.CDOPERADOR, 0) = ISNULL(INSERTED.CDOPERADOR, 0));
   END;
END;
GO

-- VERSAO --
EXEC ATUVEROBJ 'DTULTATU_FILDIMEOPER','4.11.176';
GO

